Affichage des résultats du sondage: Quelle version d'Eclipse utilisez-vous ?

Votants
126. Vous ne pouvez pas participer à ce sondage.
  • 3.5.x

    24 19,05%
  • 3.4.x

    76 60,32%
  • 3.3.x

    8 6,35%
  • 3.2.x

    9 7,14%
  • 3.1.x

    3 2,38%
  • 3.0.x

    1 0,79%
  • Autre (précisez)

    5 3,97%
+ Répondre à la discussion Actualité déjà publiée
Page 1 sur 2 12 DernièreDernière
Affichage des résultats 1 à 20 sur 31
  1. #1
    Expert Confirmé Sénior
    Avatar de djo.mos
    Inscrit en
    octobre 2004
    Messages
    4 673
    Détails du profil
    Informations forums :
    Inscription : octobre 2004
    Messages : 4 673
    Points : 7 849
    Points
    7 849

    Par défaut Quelle version d'Eclipse utilisez-vous ? Pourquoi ?

    Bonjour,

    Nous renouvelons ce sondage sur l'utilisation d'Eclipse par nos membres : à savoir la version que vous utilisez principalement au quotidien.
    Vous pouvez également consulter l'archive 2008 de ce sondage.

    N'hésitez pas à poster vos impressions et sentiments sur la version que vous utilisez, les raisons de ce choix, ...

    N'oubliez pas également le sujet vous permettant de partager vos impressions sur les plugins que vous utilisez : http://www.developpez.net/forums/d14436/environnements-developpement/eclipse/sondage-plugins-eclipse-utilisez/

  2. #2
    Membre Expert
    Avatar de xavlours
    Inscrit en
    février 2004
    Messages
    1 832
    Détails du profil
    Informations forums :
    Inscription : février 2004
    Messages : 1 832
    Points : 2 348
    Points
    2 348

    Par défaut

    Bonjour,

    j'utilise pour le moment Eclipse Ganymède (3.4), mais je compte bien migrer sur Galileo lorsque la version stable s'approchera.
    "Le bon ni le mauvais ne me feraient de peine si si si je savais que j'en aurais l'étrenne." B.V.
    Non au langage SMS ! Je ne répondrai pas aux questions techniques par MP.
    Eclipse : News, FAQ, Cours, Livres, Blogs.Et moi.

  3. #3
    Expert Confirmé Sénior
    Avatar de djo.mos
    Inscrit en
    octobre 2004
    Messages
    4 673
    Détails du profil
    Informations forums :
    Inscription : octobre 2004
    Messages : 4 673
    Points : 7 849
    Points
    7 849

    Par défaut

    Citation Envoyé par xavlours Voir le message
    Bonjour,

    j'utilise pour le moment Eclipse Ganymède (3.4), mais je compte bien migrer sur Galileo lorsque la version stable s'approchera.
    Idem, j'utilise Ganymede pour le moment, mais je compte migrer vers Galileo dès la première RC (et/ou disponibilité des packages JEE/RCP).

  4. #4
    Membre éclairé Avatar de Aurelien Pupier
    Homme Profil pro
    R&D Engineer, Studio Project Leader
    Inscrit en
    décembre 2007
    Messages
    278
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 28
    Localisation : France, Isère (Rhône Alpes)

    Informations professionnelles :
    Activité : R&D Engineer, Studio Project Leader

    Informations forums :
    Inscription : décembre 2007
    Messages : 278
    Points : 339
    Points
    339

    Par défaut

    Citation Envoyé par djo.mos Voir le message
    Idem, j'utilise Ganymede pour le moment, mais je compte migrer vers Galileo dès la première RC (et/ou disponibilité des packages JEE/RCP).
    exactement pareil ^^

  5. #5
    Expert Confirmé Sénior
    Avatar de krachik
    Inscrit en
    décembre 2004
    Messages
    1 964
    Détails du profil
    Informations forums :
    Inscription : décembre 2004
    Messages : 1 964
    Points : 4 168
    Points
    4 168

    Par défaut

    Bonjour
    Pareil que les précédents Ganymède (que j'utilise principalement), mais j'utilise aussi Europa une partie du temps(5%) vu que c'est qu'on utilise à la fac =>en vue Galileo
    Je suis ce que je suis grâce à ce que nous sommes tous Humanité aux Humains!! !

    Entre ce que je pense, ce que je veux dire, ce que je crois dire, ce que je dis ce que vous avez envie d'entendre, ce que vous croyez entendre, ce que vous entendez, ce que vous avez envie de comprendre, ce que vous comprenez ... Il y a dix possibilités que nous ayons des difficultés à communiquer. Mais essayons quand meme ....... E. Wells

  6. #6
    Membre confirmé Avatar de cyreel
    Développeur Web
    Inscrit en
    juin 2004
    Messages
    352
    Détails du profil
    Informations professionnelles :
    Activité : Développeur Web

    Informations forums :
    Inscription : juin 2004
    Messages : 352
    Points : 260
    Points
    260

    Par défaut

    Moi j'utilise Ganymede pour le moment uniquement pour développer en java. Et comme actuellement je fais du PHP 5 je ne savais pas qu'une autre version plus récente existait.
    Alors comme les autres j'attendrai une version plus stable et je m'y mettrai.

  7. #7
    Responsable Eclipse et JAVA

    Avatar de Mickael Baron
    Homme Profil pro
    Ingénieur de Recherche en Informatique
    Inscrit en
    juillet 2005
    Messages
    7 326
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Vienne (Poitou Charente)

    Informations professionnelles :
    Activité : Ingénieur de Recherche en Informatique
    Secteur : Service public

    Informations forums :
    Inscription : juillet 2005
    Messages : 7 326
    Points : 38 453
    Points
    38 453

    Par défaut

    J'utilise Ganymede pour tous les développements Eclipse et "pur Java".

    Le passage total vers Galileo se fera une fois la version finale sortie. Mais n'empêche que je jouerai avec pour étudier les nouveautés de la partie PDE et plateforme Workbench.

    Mickael
    Ingénieur de Recherche en informatique au LIAS / ENSMA
    Responsable des rubriques Eclipse et Java de Developpez.com

    Page de cours : mbaron.developpez.com
    Blog : keulkeul.blogspot.com
    Page Pro : www.lias-lab.fr/members/mickaelbaron
    LinkedIn : www.linkedin.com/in/mbaron
    Twitter : www.twitter.com/mickaelbaron

  8. #8
    Invité de passage
    Inscrit en
    mars 2002
    Messages
    2
    Détails du profil
    Informations forums :
    Inscription : mars 2002
    Messages : 2
    Points : 2
    Points
    2

    Par défaut

    Bonjour,

    J'utilise GANYMEDE principalement, mais de temps en temps je repasse sous EUROPA pour utiliser certains plugins qui ne fonctionnent pas sous GANYMEDE. Le gros reproche que l'on pourrait faire sur cette version est qu'elle est très gourmande en ressources système. Mais à part ça, je la trouve très agréable pour développer plus vite.

  9. #9
    Rédacteur/Modérateur
    Avatar de romaintaz
    Homme Profil pro
    Java craftsman
    Inscrit en
    juillet 2005
    Messages
    3 767
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 36
    Localisation : France, Yvelines (Île de France)

    Informations professionnelles :
    Activité : Java craftsman
    Secteur : Finance

    Informations forums :
    Inscription : juillet 2005
    Messages : 3 767
    Points : 7 226
    Points
    7 226

    Par défaut

    Je suis toujours sur une version 3.3 car je l'ai installée peu de temps après la sortie de la 3.4 et cette dernière n'était pas compatible avec JBoss Tools pour faire du JSF.
    Donc je suis resté à la 3.3 car j'ai eu la flemme de me mettre à jour
    Mais j'irais sur la 3.5 bientôt je pense...
    Nous sommes tous semblables, alors acceptons nos différences !
    --------------------------------------------------------------
    Liens : Blog | Page DVP | Twitter
    Articles : Hudson | Sonar | Outils de builds Java Maven 3 | Play! 1 | TeamCity| CitConf 2009
    Critiques : Apache Maven

  10. #10
    Invité de passage
    Inscrit en
    février 2007
    Messages
    2
    Détails du profil
    Informations forums :
    Inscription : février 2007
    Messages : 2
    Points : 4
    Points
    4

    Par défaut

    Bonjour,

    J'utilise la 3.3.x au bureau. J'ai bien testé la Ganymede, mais vraiment trop gourmande en ressources sur le PC du bureau ... Déjà que j'arrive à faire planter la 3.3.x facilement en enchaînant trop rapidement les opérations, j'imagine pas la 3.4

  11. #11
    Membre Expert
    Avatar de Patriarch24
    Homme Profil pro
    Ingénieur développement logiciels
    Inscrit en
    septembre 2003
    Messages
    1 045
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 31
    Localisation : France

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : Industrie

    Informations forums :
    Inscription : septembre 2003
    Messages : 1 045
    Points : 1 513
    Points
    1 513

    Par défaut

    Comme beaucoup de monde, j'utilise la dernière version stable en priorité, donc Ganymède. Migration sur la suivante dès qu'elle sera stable.
    En premier lieu, utilisez un moteur de recherche.
    En second lieu, postez sur le forum adéquat !

  12. #12
    Membre confirmé Avatar de a028762
    Inscrit en
    décembre 2003
    Messages
    316
    Détails du profil
    Informations forums :
    Inscription : décembre 2003
    Messages : 316
    Points : 234
    Points
    234

    Par défaut GANYMEDE

    GANYMEDE avec PHPEclipse et SUBVersion

  13. #13
    Membre confirmé
    Profil pro
    Développeur informatique
    Inscrit en
    août 2008
    Messages
    148
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : août 2008
    Messages : 148
    Points : 216
    Points
    216

    Par défaut

    Pour ma part Ganimède, mes collègues Europa (je suis le seul à avoir fait le pas ... chair à canon ) et de même, en attente de la version stable de Galileo (pas trop le temps de me risquer à tester en ce moment) ...

  14. #14
    Candidat au titre de Membre du Club
    Profil pro
    Inscrit en
    février 2009
    Messages
    26
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : février 2009
    Messages : 26
    Points : 12
    Points
    12

    Par défaut Utilisation d'ECLIPSE Ganymède 3.4.1

    Salut à tous,

    Je suis nouveau venu dans le monde JAVA à travers Eclipse que je trouve
    plutôt agréable et en Free pour un jeune Padawan comme moi.

    L'aspect riche de la communautée JAVA est aussi très apréciable,
    moi qui viens du monde Mainframe.

    Je vais d'aiileurs utiliser Eclipe en JAVA et en COBOL / SQL.

    Bye
    HULK77

  15. #15
    ovh
    ovh est déconnecté
    Rédacteur
    Avatar de ovh
    Homme Profil pro
    Lead developer
    Inscrit en
    mai 2002
    Messages
    3 763
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 36
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Lead developer

    Informations forums :
    Inscription : mai 2002
    Messages : 3 763
    Points : 6 090
    Points
    6 090

    Par défaut

    Moi la 3.2 pour 2 raisons très simple : pour le moment je ne dev avec Eclipse que sous Ubuntu, et la 3.2 est la version la plus récente disponible dans les packages
    Tutoriels sur les UPS, e-commerce, PHP, critiques de livres...

    Ce forum est fait pour vous et surtout par vous, merci d'en respecter les règles.
    Je n'ai rien à voir avec la société www.ovh.com !

  16. #16
    Membre régulier
    Homme Profil pro
    Développeur informatique
    Inscrit en
    février 2005
    Messages
    217
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 34
    Localisation : Belgique

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Service public

    Informations forums :
    Inscription : février 2005
    Messages : 217
    Points : 85
    Points
    85

    Par défaut

    J'utilise encore la version 3.1.1 pour développer.

    Pouvez-vous me dire les avantages a utiliser une version plus récente?

  17. #17
    Responsable Eclipse et JAVA

    Avatar de Mickael Baron
    Homme Profil pro
    Ingénieur de Recherche en Informatique
    Inscrit en
    juillet 2005
    Messages
    7 326
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Vienne (Poitou Charente)

    Informations professionnelles :
    Activité : Ingénieur de Recherche en Informatique
    Secteur : Service public

    Informations forums :
    Inscription : juillet 2005
    Messages : 7 326
    Points : 38 453
    Points
    38 453

    Par défaut

    Salut,

    Pouvez-vous me dire les avantages a utiliser une version plus récente?
    Il y en a beaucoup

    Du point de vue de la plateforme Eclipse, il y a de nouvelles APIs qui facilitent le développement d'applications Eclipse RCP.

    Comme exemples
    - la 3.1.1 n'est pas supportée par Vista
    - Support OSGi à partir de 3.2
    - de nombreux plugins ne fonctionnent pas avec les versions antérieures
    - ...

    Mickael
    Ingénieur de Recherche en informatique au LIAS / ENSMA
    Responsable des rubriques Eclipse et Java de Developpez.com

    Page de cours : mbaron.developpez.com
    Blog : keulkeul.blogspot.com
    Page Pro : www.lias-lab.fr/members/mickaelbaron
    LinkedIn : www.linkedin.com/in/mbaron
    Twitter : www.twitter.com/mickaelbaron

  18. #18
    Membre régulier
    Homme Profil pro
    Développeur informatique
    Inscrit en
    février 2005
    Messages
    217
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 34
    Localisation : Belgique

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Service public

    Informations forums :
    Inscription : février 2005
    Messages : 217
    Points : 85
    Points
    85

    Par défaut

    Citation Envoyé par keulkeul Voir le message
    Salut,



    Il y en a beaucoup

    Du point de vue de la plateforme Eclipse, il y a de nouvelles APIs qui facilitent le développement d'applications Eclipse RCP.

    Comme exemples
    - la 3.1.1 n'est pas supportée par Vista
    - Support OSGi à partir de 3.2
    - de nombreux plugins ne fonctionnent pas avec les versions antérieures
    - ...

    Mickael
    Et quelle version me conseilleriez-vous de tester afin de continuer mes développement java?

    Merci

    MichaËl

  19. #19
    Rédacteur/Modérateur

    Avatar de millie
    Profil pro
    Inscrit en
    juin 2006
    Messages
    6 944
    Détails du profil
    Informations personnelles :
    Localisation : Luxembourg

    Informations forums :
    Inscription : juin 2006
    Messages : 6 944
    Points : 9 773
    Points
    9 773

    Par défaut

    Citation Envoyé par mika0102 Voir le message
    Et quelle version me conseilleriez-vous de tester afin de continuer mes développement java?
    Probablement la dernière
    Je ne répondrai à aucune question technique en privé

  20. #20
    Responsable Eclipse et JAVA

    Avatar de Mickael Baron
    Homme Profil pro
    Ingénieur de Recherche en Informatique
    Inscrit en
    juillet 2005
    Messages
    7 326
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Vienne (Poitou Charente)

    Informations professionnelles :
    Activité : Ingénieur de Recherche en Informatique
    Secteur : Service public

    Informations forums :
    Inscription : juillet 2005
    Messages : 7 326
    Points : 38 453
    Points
    38 453

    Par défaut

    Et quelle version me conseilleriez-vous de tester afin de continuer mes développement java?
    Au vu de la version que tu utilises, je dirais également la dernière version : 3.4.2

    Par contre, il faut s'assurer que les plugins tiers que tu utilises soit compatibles avec la dernière version et là c'est pas gagné. Tu fais quand même un bon de plusieurs années.

    Mickael
    Ingénieur de Recherche en informatique au LIAS / ENSMA
    Responsable des rubriques Eclipse et Java de Developpez.com

    Page de cours : mbaron.developpez.com
    Blog : keulkeul.blogspot.com
    Page Pro : www.lias-lab.fr/members/mickaelbaron
    LinkedIn : www.linkedin.com/in/mbaron
    Twitter : www.twitter.com/mickaelbaron

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •